Installing GraphicsMagick on RedHat Enterprise Linux

Brambo asked:

Is there a way to install GraphicsMagick without any X dependency being installed?
We are trying to use GraphicsMagick via nodejs like here so we don’t need X really.

These are the dependencies if we want to install the rpm:

    Installing:
GraphicsMagick                                  x86_64                                  1.3.17-1.el6                                        acc-epel6_x86_64                                          2.2 M
Installing for dependencies:
fontconfig                                      x86_64                                  2.8.0-3.el6                                         acc-rhel-x86_64-server-6                                  186 k
freetype                                        x86_64                                  2.3.11-14.el6_3.1                                   acc-rhel-x86_64-server-6                                  359 k
jasper-libs                                     x86_64                                  1.900.1-15.el6_1.1                                  acc-rhel-x86_64-server-6                                  136 k
lcms-libs                                       x86_64                                  1.19-1.el6                                          acc-rhel-x86_64-server-6                                  100 k
libICE                                          x86_64                                  1.0.6-1.el6                                         acc-rhel-x86_64-server-6                                   53 k
libSM                                           x86_64                                  1.2.1-2.el6                                         acc-rhel-x86_64-server-6                                   37 k
libX11                                          x86_64                                  1.5.0-4.el6                                         acc-rhel-x86_64-server-6                                  585 k
libX11-common                                   noarch                                  1.5.0-4.el6                                         acc-rhel-x86_64-server-6                                  192 k
libXau                                          x86_64                                  1.0.6-4.el6                                         acc-rhel-x86_64-server-6                                   24 k
libXext                                         x86_64                                  1.3.1-2.el6                                         acc-rhel-x86_64-server-6                                   35 k
libgomp                                         x86_64                                  4.4.7-3.el6                                         acc-rhel-x86_64-server-6                                  118 k
libtool-ltdl                                    x86_64                                  2.2.6-15.5.el6                                      acc-rhel-x86_64-server-6                                   44 k
libwmf-lite                                     x86_64                                  0.2.8.4-22.el6                                      acc-rhel-x86_64-server-6                                   51 k
libxcb                                          x86_64                                  1.8.1-1.el6                                         acc-rhel-x86_64-server-6                                  110 k
urw-fonts                                       noarch                                  2.4-10.el6                                          acc-rhel-x86_64-server-6                                  3.1 M

My answer:


GraphicsMagick was compiled with X support, and links to some X libraries, so that its functions that require X will work. From the README:

GraphicsMagick requires an X server for the ‘display’, ‘animate’, and ‘import’ functions to work properly.

But note that dependency management does not install the X server itself. This means that it’s generally not a real problem. You won’t have X running just because you installed GraphicsMagick. This permits a scenario where the X server is remote (e.g. on the developer’s workstation).

If this still bothers you for some reason, then you can always compile GraphicsMagick yourself, or tweak and rebuild its source RPM.


View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.